=== debian/changelog ===
inteltool (1:20140825-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:29:12 +0000

inteltool (1:20140825-1) unstable; urgency=medium

  * Acknowledge NMUs.
  * New upstream release.
  * Add an epoch, switch to date-based version numbers.
  * Standards-Version: 3.9.6 (no changes required).
  * debian/copyright: Update, use machine-readable format (DEP-5).
  * debian/rules: Updates, drop deprecated cdbs simple-patchsys.mk.

 -- Uwe Hermann <uwe@debian.org>  Mon, 27 Oct 2014 22:59:40 +0100

inteltool (0.0+r4091-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Restrict architectures to any-amd64 and any-i386. (Closes: #559958)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 10 Sep 2011 15:36:29 +0200

inteltool (0.0+r4091-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced cpu.c with latest upstream subversion revision (Closes: #528856).

 -- Michael Banck <mbanck@debian.org>  Sun, 29 Nov 2009 01:00:59 +0100

inteltool (0.0+r4091-1) unstable; urgency=low

  * Initial release (Closes: #523525).

 -- Uwe Hermann <uwe@debian.org>  Fri, 10 Apr 2009 21:13:04 +0200
