=== debian/control ===
Source: inteltool
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs, debhelper (>= 9), libpci-dev
Standards-Version: 3.9.6
Homepage: http://coreboot.org/Inteltool

Package: inteltool
Architecture: any-amd64 any-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dump Intel CPU / chipset configuration parameters
 inteltool is a tool for dumping the configuration space of
 Intel CPUs, northbridges and southbridges.
 .
 This includes register contents of e.g. GPIO, RCBA, PMBASE, MCHBAR, EPBAR,
 DMIBAR, PCIEXBAR, and more.
 .
 It has been developed for the coreboot project (see http://coreboot.org for
 details on coreboot), but may also be useful for other purposes.
