=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_MAKE_INSTALL_TARGET := install PREFIX=$(CURDIR)/debian/inteltool/usr

LDFLAGS += -lpci

clean::
	rm -f .dependencies

common-binary-post-install-arch:: list-missing
